#!/bin/bash
# Copyright (c) 2023 - 2024 DisplayLink (UK) Ltd.

echo "> Clean current user sandbox containers"

files=(
  ~/Library/Containers/com.displaylink.DisplayLink\ Manager
  ~/Library/Containers/com.displaylink.DisplayLinkManager
  ~/Library/Containers/com.displaylink.DisplayLinkLoginHelper
  ~/Library/Containers/com.displaylink.DisplayLinkUserAgent
)

for f in "${files[@]}"
do
  if [[ -e $f || -h $f ]]
  then
    echo "Removing $f..."
    chmod -R u+w "$f"
    if ! rm -Rf "$f"
    then
      echo "ERROR: Unable to remove $f. Please remove manually."
    fi
    echo "$f successfully removed."
  else
    echo "$f not found, skipping."
  fi
done
